catalog:
  title: Packages for interfacing ROS with OpenCV, a library of programming functions for real time computer vision.

templates:
- catkin
- base
- github

variables:
  description: Packages for interfacing ROS with OpenCV, a library of programming functions for real time computer vision.

  recipe.maintainer:
  - lruegeme@techfak.uni-bielefeld.de

  github.user: ros-perception
  github.project: vision_opencv

  extra-requires:
  - nature: cmake
    target: opencv

  branches:
  - kinetic
  - melodic
  - noetic

versions:

- name: tiago-clf
  variables:
    github.user: CentralLabFacilities
    branch: melodic

- name: melodic-clf
  variables:
    github.user: CentralLabFacilities
    branch: melodic

- name: noetic-clf
  variables:
    github.user: CentralLabFacilities
    branch: noetic

- name: one-clf
  variables:
    github.user: CentralLabFacilities
    branch: noetic
